///////////////////////////////////////////////////////////////////////////////
// File: TimerExample.cpp
///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2005 JetByte Limited.
//
// This software is provided "as is" without a warranty of any kind. All 
// express or implied conditions, representations and warranties, including
// any implied warranty of merchantability, fitness for a particular purpose
// or non-infringement, are hereby excluded. JetByte Limited and its licensors 
// shall not be liable for any damages suffered by licensee as a result of 
// using the software. In no event will JetByte Limited be liable for any 
// lost revenue, profit or data, or for direct, indirect, special, 
// consequential, incidental or punitive damages, however caused and regardless 
// of the theory of liability, arising out of the use of or inability to use 
// software, even if JetByte Limited has been advised of the possibility of 
// such damages.
//
///////////////////////////////////////////////////////////////////////////////

#include "TimerHandleCallback.h"

#include "JetByteTools\Win32Tools\CallbackTimer.h"
#include "JetByteTools\Win32Tools\Utils.h"

///////////////////////////////////////////////////////////////////////////////
// Using directives
///////////////////////////////////////////////////////////////////////////////

using JetByteTools::Win32::CCallbackTimer;
using JetByteTools::Win32::OutputEx;
using JetByteTools::Win32::ToString;

///////////////////////////////////////////////////////////////////////////////
// Program Entry Point
///////////////////////////////////////////////////////////////////////////////

int main(int /*argc*/, char * /*argv[ ]*/)
{

   CCallbackTimer timer;

   CTimerHandleCallback callback;

   CCallbackTimer::Handle handle1(callback);
   CCallbackTimer::Handle handle2(callback);
   CCallbackTimer::Handle handle3(callback);
   CCallbackTimer::Handle handle4(callback);
   CCallbackTimer::Handle handle5(callback);

   timer.SetTimer(handle1, 2000, 1);
   timer.SetTimer(handle2, 4000, 2);
   timer.SetTimer(handle3, 7000, 3);
   timer.SetTimer(handle4, 8000, 4);
   timer.SetTimer(handle5, 9000, 5);


   for (size_t i = 0; i < 10; ++i)
   {
      OutputEx(_T("Ticks Now: ") + ToString(::GetTickCount()));

      ::Sleep(1000);
   }

   return 0;
}

///////////////////////////////////////////////////////////////////////////////
// End of file: TimerExample.cpp
///////////////////////////////////////////////////////////////////////////////

