///////////////////////////////////////////////////////////////////////////////
// File: TimerExample.cpp
///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2005 JetByte Limited.
//
// This software is provided "as is" without a warranty of any kind. All 
// express or implied conditions, representations and warranties, including
// any implied warranty of merchantability, fitness for a particular purpose
// or non-infringement, are hereby excluded. JetByte Limited and its licensors 
// shall not be liable for any damages suffered by licensee as a result of 
// using the software. In no event will JetByte Limited be liable for any 
// lost revenue, profit or data, or for direct, indirect, special, 
// consequential, incidental or punitive damages, however caused and regardless 
// of the theory of liability, arising out of the use of or inability to use 
// software, even if JetByte Limited has been advised of the possibility of 
// such damages.
//
///////////////////////////////////////////////////////////////////////////////

#include "JetByteTools\Admin\Admin.h"

#include "CallbackTimer.h"

#include "JetByteTools\Win32Tools\ThreadedCallbackTimerQueue.h"
#include "JetByteTools\Win32Tools\Utils.h"

///////////////////////////////////////////////////////////////////////////////
// Using directives
///////////////////////////////////////////////////////////////////////////////

using JetByteTools::Win32::CThreadedCallbackTimerQueue;
using JetByteTools::Win32::IQueueTimers;
using JetByteTools::Win32::OutputEx;
using JetByteTools::Win32::ToString;

///////////////////////////////////////////////////////////////////////////////
// Program Entry Point
///////////////////////////////////////////////////////////////////////////////

int main(int /*argc*/, char * /*argv[ ]*/)
{

   CThreadedCallbackTimerQueue timerQueue;

   CCallbackTimer callback;

   IQueueTimers::Handle timer1 = timerQueue.CreateTimer();
   IQueueTimers::Handle timer2 = timerQueue.CreateTimer();
   IQueueTimers::Handle timer3 = timerQueue.CreateTimer();
   IQueueTimers::Handle timer4 = timerQueue.CreateTimer();
   IQueueTimers::Handle timer5 = timerQueue.CreateTimer();

   timerQueue.SetTimer(timer1, callback, 2000, 1);
   timerQueue.SetTimer(timer2, callback, 4000, 2);
   timerQueue.SetTimer(timer3, callback, 7000, 3);
   timerQueue.SetTimer(timer4, callback, 8000, 4);
   timerQueue.SetTimer(timer5, callback, 9000, 5);

   for (size_t i = 0; i < 10; ++i)
   {
      OutputEx(_T("Ticks Now: ") + ToString(::GetTickCount()));

      ::Sleep(1000);
   }

   return 0;
}

///////////////////////////////////////////////////////////////////////////////
// End of file: TimerExample.cpp
///////////////////////////////////////////////////////////////////////////////

